
Foreman - Feature #6496

Allow match helper method

07/04/2014 10:13 AM - Marco De Vitis

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I think it would be useful if the :match helper was allowed in safe mode template rendering, e.g. to match on parts of the domain or

hostname using regular expressions.

I think this should be safe to add.

Associated revisions

Revision 07a89c56 - 07/04/2014 09:18 PM - starless72 

fixes #6496 - Added :match helper method to saferender

History

#1 - 07/04/2014 12:44 PM - Daniel Lobato Garcia

- Status changed from New to Ready For Testing

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1561

#2 - 07/04/2014 10:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 07a89c567fec8a3cce882fe9bd91b7526316f662.

#3 - 07/07/2014 04:25 AM - Dominic Cleal

- translation missing: en.field_release set to 10
